package org.dive4elements.river.artifacts.datacage.templating;

public class TypeConverter
{
    private TypeConverter() {
    }

    public static Object convert(Object object, String type) {

        if (type == null) {
            return object;
        }

        if ("Integer".equals(type)) {
            return Integer.valueOf(object.toString());
        }

        if ("Double".equals(type)) {
            return Double.valueOf(object.toString());
        }

        if ("String".equals(type)) {
            return object.toString();
        }

        // TODO: Add more types

        return object;
    }
}
// vim:set ts=4 sw=4 si et sta sts=4 fenc=utf8 :
