package org.dive4elements.river.exports.minfo;

import org.dive4elements.river.exports.ChartInfoGenerator;


/**
 * A ChartInfoGenerator that generates meta information for specific computed
 * bed quality curves.
 *
 * @author <a href="mailto:ingo.weinzierl@intevation.de">Ingo Weinzierl</a>
 */
public class BedQualityInfoGenerator extends ChartInfoGenerator {

    public BedQualityInfoGenerator() {
        super(new BedQualityGenerator());
    }
}
// vim:set ts=4 sw=4 si et sta sts=4 fenc=utf8 :
